import { ChangeWrapper } from '../model/changeWrapper';
import * as i0 from "@angular/core";
export declare class ChangeService {
    constructor();
    private changeAnnouncedSource;
    private changeConfirmedSource;
    private validationSource;
    private fieldSource;
    private customChanges;
    changeAnnounced$: import("rxjs").Observable<ChangeWrapper>;
    changeConfirmed$: import("rxjs").Observable<string>;
    submitValidate$: import("rxjs").Observable<string>;
    changeField$: import("rxjs").Observable<any>;
    customChange$: import("rxjs").Observable<any>;
    announceChange(changeValue: ChangeWrapper): void;
    confirmChange(childQuestion: string): void;
    dataChanges(data: string): void;
    submitChange(value: string): void;
    fieldChange(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChangeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ChangeService>;
}
